/*******************************************************************************
 *  Copyright 2017 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.hl7282.utils;

/**
 * This enum represents the acknowledgment code for Message Processing. 
 */
public enum EnumAcknowledgmentCode 
{
	/**
	 * Enum Code for Application Accept.
	 */
	APPLICATION_ACCEPT("AA"),
	/**
	 * Enum Code for Application Error 
	 */
	APPLICATION_ERROR("AE"),
	/**
	 * Enum code for Application Reject  
	 */
	APPLICATION_REJECT("AR"),
	/**
	 *Enum code for Commit Accept
	 */
	COMMIT_ACCEPT("CA"),
	/**
	 *Enum code Commit Error
	 */
	COMMIT_ERROR("CE"),
	/**
	 *Enum code Commit Reject
	 */
	COMMIT_REJECT("CR");
	/**
	 * The value.
	 */
	private String value;

	EnumAcknowledgmentCode(String strValue)
	{
		value = strValue;
	}
	/**
	 * Returns the String value of this enum.
	 * @return String - string value of Value Type .
	 */
	public String getValue()
	{
		return value;
	}
}
